/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.nlpack.generator.task.valueobject;

/**
 * 処理クラス [BlancoNLpackGeneratorTranslationFragmentToPleiadesProcess]の入力バリューオブジェクトクラスです。
 */
public class BlancoNLpackGeneratorTranslationFragmentToPleiadesProcessInput {
    /**
     * verboseモードで動作させるかどうか。
     *
     * フィールド: [verbose]。
     * デフォルト: [false]。
     */
    private boolean fVerbose = false;

    /**
     * 入力ファイル。
     *
     * フィールド: [sourcefile]。
     * デフォルト: [conf/BlancoNLpackGeneratorTranslationFragment.csv]。
     */
    private String fSourcefile = "conf/BlancoNLpackGeneratorTranslationFragment.csv";

    /**
     * 出力ファイル。
     *
     * フィールド: [targetfile]。
     * デフォルト: [tmp/BlancoNLpackGeneratorTranslationFragment.properties]。
     */
    private String fTargetfile = "tmp/BlancoNLpackGeneratorTranslationFragment.properties";

    /**
     * 入力ファイルが格納されたディレクトリ。sourcefileかいずれかを指定。
     *
     * フィールド: [sourcedir]。
     */
    private String fSourcedir;

    /**
     * 出力ファイルが格納されたディレクトリ。targetfileかいずれかを指定。
     *
     * フィールド: [targetdir]。
     */
    private String fTargetdir;

    /**
     * 貢献者の名前。
     *
     * フィールド: [contributor]。
     * デフォルト: [<contributor>]。
     */
    private String fContributor = "<contributor>";

    /**
     * 日付を出力するかどうか。
     *
     * フィールド: [isoutputdate]。
     * デフォルト: [true]。
     */
    private boolean fIsoutputdate = true;

    /**
     * BundleURI列が babel: から始まっていることを確認するかどうか。
     *
     * フィールド: [ischeckbundleuriasbabel]。
     * デフォルト: [true]。
     */
    private boolean fIscheckbundleuriasbabel = true;

    /**
     * フィールド [verbose] の値を設定します。
     *
     * フィールドの説明: [verboseモードで動作させるかどうか。]。
     *
     * @param argVerbose フィールド[verbose]に設定する値。
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド [verbose] の値を取得します。
     *
     * フィールドの説明: [verboseモードで動作させるかどうか。]。
     * デフォルト: [false]。
     *
     * @return フィールド[verbose]から取得した値。
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [sourcefile] の値を設定します。
     *
     * フィールドの説明: [入力ファイル。]。
     *
     * @param argSourcefile フィールド[sourcefile]に設定する値。
     */
    public void setSourcefile(final String argSourcefile) {
        fSourcefile = argSourcefile;
    }

    /**
     * フィールド [sourcefile] の値を取得します。
     *
     * フィールドの説明: [入力ファイル。]。
     * デフォルト: [conf/BlancoNLpackGeneratorTranslationFragment.csv]。
     *
     * @return フィールド[sourcefile]から取得した値。
     */
    public String getSourcefile() {
        return fSourcefile;
    }

    /**
     * フィールド [targetfile] の値を設定します。
     *
     * フィールドの説明: [出力ファイル。]。
     *
     * @param argTargetfile フィールド[targetfile]に設定する値。
     */
    public void setTargetfile(final String argTargetfile) {
        fTargetfile = argTargetfile;
    }

    /**
     * フィールド [targetfile] の値を取得します。
     *
     * フィールドの説明: [出力ファイル。]。
     * デフォルト: [tmp/BlancoNLpackGeneratorTranslationFragment.properties]。
     *
     * @return フィールド[targetfile]から取得した値。
     */
    public String getTargetfile() {
        return fTargetfile;
    }

    /**
     * フィールド [sourcedir] の値を設定します。
     *
     * フィールドの説明: [入力ファイルが格納されたディレクトリ。sourcefileかいずれかを指定。]。
     *
     * @param argSourcedir フィールド[sourcedir]に設定する値。
     */
    public void setSourcedir(final String argSourcedir) {
        fSourcedir = argSourcedir;
    }

    /**
     * フィールド [sourcedir] の値を取得します。
     *
     * フィールドの説明: [入力ファイルが格納されたディレクトリ。sourcefileかいずれかを指定。]。
     *
     * @return フィールド[sourcedir]から取得した値。
     */
    public String getSourcedir() {
        return fSourcedir;
    }

    /**
     * フィールド [targetdir] の値を設定します。
     *
     * フィールドの説明: [出力ファイルが格納されたディレクトリ。targetfileかいずれかを指定。]。
     *
     * @param argTargetdir フィールド[targetdir]に設定する値。
     */
    public void setTargetdir(final String argTargetdir) {
        fTargetdir = argTargetdir;
    }

    /**
     * フィールド [targetdir] の値を取得します。
     *
     * フィールドの説明: [出力ファイルが格納されたディレクトリ。targetfileかいずれかを指定。]。
     *
     * @return フィールド[targetdir]から取得した値。
     */
    public String getTargetdir() {
        return fTargetdir;
    }

    /**
     * フィールド [contributor] の値を設定します。
     *
     * フィールドの説明: [貢献者の名前。]。
     *
     * @param argContributor フィールド[contributor]に設定する値。
     */
    public void setContributor(final String argContributor) {
        fContributor = argContributor;
    }

    /**
     * フィールド [contributor] の値を取得します。
     *
     * フィールドの説明: [貢献者の名前。]。
     * デフォルト: [<contributor>]。
     *
     * @return フィールド[contributor]から取得した値。
     */
    public String getContributor() {
        return fContributor;
    }

    /**
     * フィールド [isoutputdate] の値を設定します。
     *
     * フィールドの説明: [日付を出力するかどうか。]。
     *
     * @param argIsoutputdate フィールド[isoutputdate]に設定する値。
     */
    public void setIsoutputdate(final boolean argIsoutputdate) {
        fIsoutputdate = argIsoutputdate;
    }

    /**
     * フィールド [isoutputdate] の値を取得します。
     *
     * フィールドの説明: [日付を出力するかどうか。]。
     * デフォルト: [true]。
     *
     * @return フィールド[isoutputdate]から取得した値。
     */
    public boolean getIsoutputdate() {
        return fIsoutputdate;
    }

    /**
     * フィールド [ischeckbundleuriasbabel] の値を設定します。
     *
     * フィールドの説明: [BundleURI列が babel: から始まっていることを確認するかどうか。]。
     *
     * @param argIscheckbundleuriasbabel フィールド[ischeckbundleuriasbabel]に設定する値。
     */
    public void setIscheckbundleuriasbabel(final boolean argIscheckbundleuriasbabel) {
        fIscheckbundleuriasbabel = argIscheckbundleuriasbabel;
    }

    /**
     * フィールド [ischeckbundleuriasbabel] の値を取得します。
     *
     * フィールドの説明: [BundleURI列が babel: から始まっていることを確認するかどうか。]。
     * デフォルト: [true]。
     *
     * @return フィールド[ischeckbundleuriasbabel]から取得した値。
     */
    public boolean getIscheckbundleuriasbabel() {
        return fIscheckbundleuriasbabel;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.nlpack.generator.task.valueobject.BlancoNLpackGeneratorTranslationFragmentToPleiadesProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",sourcefile=" + fSourcefile);
        buf.append(",targetfile=" + fTargetfile);
        buf.append(",sourcedir=" + fSourcedir);
        buf.append(",targetdir=" + fTargetdir);
        buf.append(",contributor=" + fContributor);
        buf.append(",isoutputdate=" + fIsoutputdate);
        buf.append(",ischeckbundleuriasbabel=" + fIscheckbundleuriasbabel);
        buf.append("]");
        return buf.toString();
    }
}
